Package com.xebialabs.xlrelease.domain.configuration

# Enum Class HttpConnection.AuthenticationMethod

java.lang.Object
java.lang.Enum<HttpConnection.AuthenticationMethod>
com.xebialabs.xlrelease.domain.configuration.HttpConnection.AuthenticationMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<HttpConnection.AuthenticationMethod>`, `Constable`

Enclosing class:
  `HttpConnection`

public static enum HttpConnection.AuthenticationMethod extends Enum<HttpConnection.AuthenticationMethod>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Basic`
  `Bearer`
  `None`
  `Ntlm`
  `OAuth2`
  `PAT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HttpConnection.AuthenticationMethod`
  `getAuthenticationMethodOf(String name)`
  `static HttpConnection.AuthenticationMethod`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HttpConnection.AuthenticationMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final HttpConnection.AuthenticationMethod None

  - ### Basic

    public static final HttpConnection.AuthenticationMethod Basic

  - ### Bearer

    public static final HttpConnection.AuthenticationMethod Bearer

  - ### Ntlm

    public static final HttpConnection.AuthenticationMethod Ntlm

  - ### PAT

    public static final HttpConnection.AuthenticationMethod PAT

  - ### OAuth2

    public static final HttpConnection.AuthenticationMethod OAuth2

- ## Method Details

  - ### values

    public static HttpConnection.AuthenticationMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HttpConnection.AuthenticationMethod valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAuthenticationMethodOf

    public static HttpConnection.AuthenticationMethod getAuthenticationMethodOf(String name)